Results 1 to 3 of 3

Thread: QSerialPort

  1. #1

    Default QSerialPort

    openSUSE Leap 15.1

    Trying to build a Qt application (Zboss); application requires QSerialPort which does not appear to be available through the package manager; obtained
    libqt5-qtserialport.ymp for Leap 15.1 through the open SUSE website, but this will not install. Has anybody come across a similar problem and found a solution?
    Thanks in advance.

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    5,012

    Default AW: QSerialPort

    Should be in the OSS Repo.
    So:
    Code:
    zypper in libQt5SerialPort5
    as root should install it.
    Last edited by Sauerland; 13-Oct-2020 at 14:15.

  3. #3

    Default Re: QSerialPort

    Code:
    sudo zypper install libQt5SerialPort5
    Gives:

    Code:
    [sudo] password for root: 
    Loading repository data...
    Reading installed packages...
    'libQt5SerialPort5' is already installed.
    There is an update candidate for 'libQt5SerialPort5' from vendor 'obs://build.opensuse.org/KDE', while the current vendor is 'openSUSE'. Use 'zypper install libQt5SerialPort5-5.15.1-lp151.1.1.x86_64' to install this candidate.
    Resolving package dependencies...
    Despite the above indicating already installed, opening the Zboss project in Qt Creator gives:
    Code:
    Project ERROR: Unknown module(s) in QT: serialport
    Not keen on installing libQt5SerialPort5-5.15.1-lp151.1.1.x86_64, since looks very disruptive (lots of package dependency changes); don't know enough about 'obs://build.opensuse.org/KDE'.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •